#ifndef LOGINSCREEN_H
#define LOGINSCREEN_H

#include <QDialog>
#include <QRegExp>
#include "Socket.h"
#include "chatroom.h"

namespace Ui {
class LoginScreen;
}

class LoginScreen : public QDialog
{
    Q_OBJECT
    
public:
    explicit LoginScreen(Socket *s, QWidget *parent = 0);
    bool validateURL(QString& url);
    bool parseURL(QString& URL);
    ~LoginScreen();

public slots:
     void connectToChat();
     void cancelLogin();
    
private:
    Ui::LoginScreen *ui;
    int port;
    QString host;
    Socket* s;
};

#endif // LOGINSCREEN_H
