package pad.prac2;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.net.ServerSocket;
import java.net.SocketAddress;

public class MyServerSocket extends ServerSocket
{
	public MyServerSocket() throws IOException
	{
		super();
	}
	
	public void bind(String ip, int port)
	{
		SocketAddress addr = new InetSocketAddress(ip,port);
		try
		{
			super.bind(addr, 5);
		}
		catch(IOException ioExc)
		{
			System.out.println("TCP: Error binding socket to address");
		}
	}
	
	public MySocket accept() throws IOException
	{
		MySocket incoming = new MySocket();
		super.implAccept(incoming);
		incoming.initializeStreams();
		return incoming;
	}
	
	public void close()
	{
		try
		{
			super.close();
		}
		catch(IOException ioExc)
		{
			System.out.println("TCP: Error while closing socket");
		}
	}
}
